Jump to content
LaunchBox Community Forums

Need Reassurance Before Upgrading from 9.10


garrett521
 Share

Recommended Posts

Good Morning, I have not had an opportunity to upgrade LB/BB since 9.10.  While going through the change logs, I noticed with 10.1 the following:  " The LaunchBox installer now requires the .NET Framework 4.8 due to a serious bug in the .NET Framework 4.7 that was causing startup crashes on Windows 7."  Does this mean I need to install .NET Framework 4.8 first before upgrading, or does the installer take care of everything on that end?  Also, will LB bring me straight to 10.7, or will I need to upgrade one level at a time until I am up to date?

Thanks guys.

Link to comment
Share on other sites

Hi Garret, the installer *should* install the framework and everything you need, but we have seen some rare cases of issues, especially if you're not up to date with Windows updates. It should work perfectly fine to upgrade from 9.10 directly to 10.7. I would run all Windows updates first, however.

You can also back up your LaunchBox folder and easily go back if you have any issues.

Link to comment
Share on other sites

8 minutes ago, Jason Carr said:

Hi Garret, the installer *should* install the framework and everything you need, but we have seen some rare cases of issues, especially if you're not up to date with Windows updates. It should work perfectly fine to upgrade from 9.10 directly to 10.7. I would run all Windows updates first, however.

You can also back up your LaunchBox folder and easily go back if you have any issues.

Thanks for the reply Jason.  Really appreciate the support.

  • Like 2
Link to comment
Share on other sites

  • 1 month later...

I just went through this last week.  I decided to manually update to .NET 4.8+ utilizing Windows Update (on Windows 7, btw) before upgrading to the latest release version of LaunchBox.  This worked great, and fixed the launch crash I had documented with earlier versions of LaunchBox in another thread here months ago.  

  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...